octave-dicom_0.2.1-5_amd64.deb


Advertisement

Description

octave-dicom - manipulate DICOM files in Octave

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename octave-dicom_0.2.1-5_amd64.deb
Package name octave-dicom
Package version 0.2.1
Package release 5
Package architecture amd64
Package type deb
Category universe/math
Homepage https://octave.sourceforge.io/dicom/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 153.10 KB
Installed size 1.13 MB
Digital communications in medicine (DICOM) is an information
standard, originally created for image transfer, which now deals with
a large range of medical data.
This package provides functions to read and (eventually) write DICOM
files in Octave, a scientific computation software. The functions in
the package are intended to have similar usage as the dicom functions
in the Matlab Image Processing Toolbox. In Octave they are separate:
most image package users will not use dicom, and its dependency might
be considered troublesome.
This Octave add-on package is part of the Octave-Forge project.

Alternatives

Package Version Architecture Repository
octave-dicom_0.2.1-5_i386.deb 0.2.1 i386 Ubuntu Universe
octave-dicom - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libgdcm2.8 -
liboctave6 -
libstdc++6 >= 5.2
octave >= 4.4.1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package octave-dicom_0.2.1-5_amd64.deb
Source Package octave-dicom

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install octave-dicom deb package:
    # sudo apt-get install octave-dicom

Files

Path
/usr/lib/x86_64-linux-gnu/octave/packages/dicom-0.2.1/x86_64-pc-linux-gnu-api-v52/_gendicomdict.oct
/usr/lib/x86_64-linux-gnu/octave/packages/dicom-0.2.1/x86_64-pc-linux-gnu-api-v52/dicomdict.oct
/usr/lib/x86_64-linux-gnu/octave/packages/dicom-0.2.1/x86_64-pc-linux-gnu-api-v52/dicominfo.oct
/usr/lib/x86_64-linux-gnu/octave/packages/dicom-0.2.1/x86_64-pc-linux-gnu-api-v52/dicomlookup.oct
/usr/lib/x86_64-linux-gnu/octave/packages/dicom-0.2.1/x86_64-pc-linux-gnu-api-v52/dicomread.oct
/usr/lib/x86_64-linux-gnu/octave/packages/dicom-0.2.1/x86_64-pc-linux-gnu-api-v52/dicomuid.oct
/usr/lib/x86_64-linux-gnu/octave/packages/dicom-0.2.1/x86_64-pc-linux-gnu-api-v52/dicomwrite.oct
/usr/lib/x86_64-linux-gnu/octave/packages/dicom-0.2.1/x86_64-pc-linux-gnu-api-v52/isdicom.oct
/usr/share/doc/octave-dicom/NEWS
/usr/share/doc/octave-dicom/changelog.Debian.gz
/usr/share/doc/octave-dicom/copyright
/usr/share/octave/packages/dicom-0.2.1/octavedicom.dic
/usr/share/octave/packages/dicom-0.2.1/packinfo/DESCRIPTION
/usr/share/octave/packages/dicom-0.2.1/packinfo/INDEX
/usr/share/octave/packages/dicom-0.2.1/packinfo/NEWS
/usr/share/octave/packages/dicom-0.2.1/test/dicomdict.cpp-tst
/usr/share/octave/packages/dicom-0.2.1/test/dicominfo.cpp-tst
/usr/share/octave/packages/dicom-0.2.1/test/dicomlookup.cpp-tst
/usr/share/octave/packages/dicom-0.2.1/test/dicomread.cpp-tst
/usr/share/octave/packages/dicom-0.2.1/test/dicomuid.cpp-tst
/usr/share/octave/packages/dicom-0.2.1/test/dicomwrite.cpp-tst
/usr/share/octave/packages/dicom-0.2.1/test/isdicom.cpp-tst

Changelog

2019-01-02 - Rafael Laboissiere <rafael@debian.org>
octave-dicom (0.2.1-5) unstable; urgency=medium
* d/control:
+ Bump Standards-Version to 4.3.0 (no changes needed)
+ Bump to debhelper compat level 12
* Build-depend on debhelper-compat instead of using d/compat
2018-08-17 - Rafael Laboissiere <rafael@debian.org>
octave-dicom (0.2.1-4) unstable; urgency=medium
* Exclude failing unit tests for both build and CI runs
2018-08-13 - Rafael Laboissiere <rafael@debian.org>
octave-dicom (0.2.1-3) unstable; urgency=medium
* d/rules: Exclude unit tests that call urlwrite()
2018-08-11 - Rafael Laboissiere <rafael@debian.org>
octave-dicom (0.2.1-2) unstable; urgency=medium
* d/control:
+ Add Rules-Requires-Root: no
+ Bump Standards-Version to 4.2.0
* d/patches/no-addpath-inst.patch: New patch
2018-06-30 - Rafael Laboissiere <rafael@debian.org>
octave-dicom (0.2.1-1) unstable; urgency=low
* Initial release (Closes: #898289)

See Also

Package Description
octave-divand_1.1.2+dfsg-4_all.deb n-dimensional interpolation for Octave
octave-doc_4.4.1-5_all.deb documentation of the GNU Octave language
octave-doctest_0.6.1-2_all.deb documentation tests for Octave
octave-econometrics_1.1.1-6_amd64.deb econometrics functions for Octave
octave-financial_0.5.3-2_all.deb financial package for Octave
octave-fits_1.0.7-2_amd64.deb manipulation of FITS files in Octave
octave-fpl_1.3.5-5_all.deb plot data on unstructured triangular and tetrahedral meshes in Octave
octave-fuzzy-logic-toolkit_0.4.5-2_all.deb fuzzy logic toolkit for Octave
octave-ga_0.10.0-6_all.deb genetic optimization code for Octave
octave-gdf_0.1.2-2.1build3_amd64.deb IO library for the GDF -- Octave interface
octave-general_2.1.0-2_amd64.deb provide extra general functions for Octave
octave-geometry_3.0.0-9_amd64.deb geometric computing functions for Octave
octave-gsl_2.1.1-2_amd64.deb GSL binding for Octave
octave-htmldoc_4.4.1-5_all.deb transitional package for Octave HTML documentation
octave-image-acquisition_0.2.2-2_amd64.deb image acquisition package for Octave
Advertisement
Advertisement